CTDCONVERTER(1)

NAME
CTDConverter - Convert CTD files into Galaxy tool and CWL CommandLineTool files

DESCRIPTION
INFO: Using cwl converter usage: CTDConverter [-h] -i INPUT_FILES [INPUT_FILES ...]

-o OUTPUT_DESTINATION [-x DEFAULT_EXECUTABLE_PATH]
    [-p HARDCODED_PARAMETERS] [-V XSD_LOCATION] [-v] FORMAT

CTDConverter - A project from the WorkflowConversion family (https://github.com/WorkflowConversion/CTDConverter)

COPYRIGHT
Copyright 2017, WorklfowConversion

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

USAGE:

    $ CTDConverter [FORMAT] [ARGUMENTS ...]

FORMAT can be either one of the supported output formats: cwl, galaxy.

There is one converter for each supported FORMAT, each taking a different set of arguments. Please consult the detailed documentation for each of the converters. Nevertheless, all converters have the following common parameters/options:

I - Parsing a single CTD file and convert it:

    $ CTDConverter [FORMAT] -i [INPUT_FILE] -o [OUTPUT_FILE]

II - Parsing several CTD files, output converted wrappers in a given folder:

    $ CTDConverter [FORMAT] -i [INPUT_FILES] -o [OUTPUT_DIRECTORY]

For more detailed help see README.md in the root folder as well as `galaxy/README.md` or `cwl/README.md`.

  positional arguments:

FORMAT
    Output format (mandatory). Can be one of: cwl, galaxy.

  options:

-h, --help
    show this help message and exit

-i, --input INPUT_FILES [INPUT_FILES ...]
    List of CTD files to convert.

-o, --output-destination OUTPUT_DESTINATION
    If multiple input files are given, then a folder in which all converted files will be generated is expected; if a single input file is given, then a destination file is expected.

-x, --default-executable-path DEFAULT_EXECUTABLE_PATH
    Use this executable path when <executablePath> is not present in the CTD

-p, --hardcoded-parameters HARDCODED_PARAMETERS
    File containing hardcoded values for the given parameters. Run with '-h' or '--help' to see a brief example on the format of this file.

-V, --validation-schema XSD_LOCATION
    Location of the schema to use to validate CTDs. If not provided, no schema validation will take place.

-v, --version
    show program's version number and exit